Subject: bug#16400: 24.3.50; [PATCH] Add menu entry for Global Auto Revert mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 13 Jan 2014 09:38:13 -0500

>> and how well it works when you have a couple hundred file buffers.
> I have turned it on years ago and never sees any problem (working with
> 24.3.1 on Windows and Linux).

Does your usage pattern make your Emacs sessions grow to include many
open files (not necessarily displayed), like more than a hundred?

> That said, one can customize `global-auto-revert-mode' to turn that mode
> on; So don't waste time with that patch.

I'm curious, because I assumed that global-auto-revert-mode would be
impractical for "serious" use because it makes Emacs poll the freshness
of every buffer's file repeatedly, which could lead to occasional "short
freezes" and other annoying performance artifacts.

        Stefan